Vehicle Current Valuation API
Introduction
This service allows you to easily retrieve the current market valuation of your vehicle by simply providing the vehicle's registration number, the kilometers driven, and the city where it is currently located. With these details, we can accurately estimate the vehicle's current market value.
API Guidelines
To ensure the success of API requests and accurate results, follow these input guidelines when making requests to the API :
- vehicleNumber : The vehicle registration number. It must be a valid registration number, formatted according to the Indian vehicle registration system. This is a mandatory parameter.
- kmsDriven : The total kilometers driven by the vehicle. This is a mandatory parameter.
- currentCity: The city where the vehicle is currently located. This is an optional parameter.
Sample Curl & API details
Initiating a request for a Number (ASYNC)
curl --location 'https://api-preproduction.signzy.app/api/v3/vehicle/vehicleCurrentEvaluation' \
--header 'Authorization: <Auth-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"vehicleNumber": " ",
"kmsDriven": " ",
"currentCity": " "
}'Input Parameters
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION |
|---|---|---|
Content-Type | Required | application/json |
Authorization | Required | Authorization token of the client |
vehicleNumber | Required | Vehicle number data is to be fetched |
kmsDriven | Required | Total Kilometers Driven |
currentCity | Optional | The city where the vehicle is currently located. |
Sample JSON Response
The vehicleCurrentEvaluation (Initiate request) API response will be in JSON format & will return the requestId corresponding to the input vehicleNumber , kmsDriven and currentCity in the input.
The sample response will appear as following :
{
"result": {
"status": "success",
"exShowroomPrice": "< >",
"gstCharges": "< >",
"onRoadPrice": "< >",
"currentValuation": "< >"
}
}Response Fields
Field | Data Type | Description |
|---|---|---|
status | String | Status of the request. |
exShowroomPrice | String | The vehicle's ex-showroom price. |
gstCharges | String | GST charged |
onRoadPrice | String | The vehicle's onroad price. |
currentValuation | String | Vehicle's current valuation price. |
Status Codes & Description
Status Code | Status | Description |
|---|---|---|
200 | Success | The data was successfully returned |
404 | Vehicle data not found | The data for the given number was not found in our database |
400 | Invalid Vehicle Number | The vehicle number provided in the input parameters was incorrect |
409 | Upstream Error | Error in fetching data from upstream |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].